Zum Hauptinhalt springen
POST
/
automation
/
v4
/
actions
/
callbacks
/
{callbackId}
/
complete
Schließt einen Rückruf ab
curl --request POST \
  --url https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "outputFields": {},
  "typedOutputs": {},
  "failureReasonType": "<string>",
  "requestContext": {
    "source": "WORKFLOWS",
    "workflowId": 123,
    "actionExecutionIndexIdentifier": {
      "actionExecutionIndex": 123,
      "enrollmentId": 123
    },
    "actionId": 123
  }
}
'
This response has no body data.

Unterstützte Produkte

Erfordert eines der folgenden Produkte oder höher.
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -Professional
Service HubService Hub -Professional
Content HubContent Hub -Professional

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

callbackId
string
erforderlich

Body

application/json
outputFields
object
erforderlich

Enthält die Ausgabefelder, die dem Callback zugeordnet sind, wobei jedes Feld als Schlüssel-Wert-Paar dargestellt wird.

typedOutputs
object
erforderlich

Enthält die eingegebenen Ausgaben im Zusammenhang mit dem Callback, strukturiert als Objekt.

failureReasonType
string

Gibt den Grund für den Fehler beim Abschluss eines Callbacks an.

requestContext
WORKFLOWS · object

Gibt den Kontext an, in dem die Anfrage gestellt wird, wobei es sich um einen von mehreren vordefinierten Kontexten handeln kann.

Antwort

Last modified on March 24, 2026